@(jogos:Seq[Game])(implicit request: RequestHeader, messagesProvider: MessagesProvider)

@request.flash.data.map{ case (name, value) =>
    <div class="@name">@value</div>
}

@main("P2 .::. Engenharia de Software III .::. Jogo") {

    <div class="game-pontos">
        <table class="game-table">
            @for(i <- 0 until jogos.length) {
                <tr>
                    <td class="game-row">
                        @jogos(i).pontos pontos em @{
                                val dt = new java.text.SimpleDateFormat("dd/MM/YYYY - HH:mm")
                                dt.format(jogos(i).data)
                            }
                    </td>
                </tr> 
            }
        </table>
    </div>
    <div class="game">
        <script> var tkn = "@play.filters.csrf.CSRF.getToken.map(_.value)"; </script>
        <script type="text/javascript" src="@routes.Assets.versioned("lib/crafty/dist/crafty.js")"></script>
        <script type="text/javascript" src="@routes.Assets.versioned("javascripts/game.js")"></script>
    </div>
}